Bug 1291502 - Unable to adjust backlight brightness on HP Envy 13t [NEEDINFO]
Unable to adjust backlight brightness on HP Envy 13t
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 20:08 EST by TJ
Modified: 2016-10-26 12:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:54:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (thomas.mercier.jr)


Attachments (Terms of Use)
kern.log from Ubuntu 15.10 where backlight adjustment works as expected (105.16 KB, text/plain)
2015-12-14 20:10 EST, TJ
no flags Details
syslog from Ubuntu 15.10 where backlight adjustment works as expected (997.25 KB, text/plain)
2015-12-14 20:10 EST, TJ
no flags Details
XOrg log from Ubuntu 15.10 where backlight adjustment works as expected (24.23 KB, text/plain)
2015-12-14 20:11 EST, TJ
no flags Details
XOrg log from Fedora 23 where backlight adjustment does not work as expected (22.59 KB, text/plain)
2015-12-14 20:12 EST, TJ
no flags Details
messages log from Fedora 23 where backlight adjustment does not work as expected (217.55 KB, text/plain)
2015-12-14 20:15 EST, TJ
no flags Details

  None (edit)
Description TJ 2015-12-14 20:08:49 EST
Description of problem: Unable to adjust backlight brightness on HP Envy 13t (N8R87AV). The keyboard backlight adjustment keys do not work, and /sys/class/backlight is empty. xbacklight reports, "No outputs have backlight property". BIOS version is F.24, which is the latest at this time. Backlight brightness adjustment works on Ubuntu 15.10. (see additional information)


Version-Release number of selected component (if applicable): Fedora 23, 4.2.6-301.fc23.x86_64 #1 SMP Fri Nov 20 22:22:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux)


How reproducible: 100%; every time


Steps to Reproduce:
1. Boot machine to linux desktop
2. Press fn + f2 or fn + f3 to adjust backlight brightness
3. No change in brightness observed


Additional info:
I am able to adjust the backlight brightness with Ubuntu 15.10 on this same hardware. (Linux ubuntu 4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) Logs from this boot will be attached.

I have tried the following kernel boot parameters, all without success:
video.use_native_backlight=0
acpi_osi=Linux
acpi_backlight=vendor
acpi_backlight=video
acpi_backlight=native
acpi_backlight=none
pcie_aspm=force
pci=nocrs
Comment 1 TJ 2015-12-14 20:10 EST
Created attachment 1105785 [details]
kern.log from Ubuntu 15.10 where backlight adjustment works as expected
Comment 2 TJ 2015-12-14 20:10 EST
Created attachment 1105786 [details]
syslog from Ubuntu 15.10 where backlight adjustment works as expected
Comment 3 TJ 2015-12-14 20:11 EST
Created attachment 1105787 [details]
XOrg log from Ubuntu 15.10 where backlight adjustment works as expected
Comment 4 TJ 2015-12-14 20:12 EST
Created attachment 1105788 [details]
XOrg log from Fedora 23 where backlight adjustment does not work as expected
Comment 5 TJ 2015-12-14 20:15 EST
Created attachment 1105789 [details]
messages log from Fedora 23 where backlight adjustment does not work as expected
Comment 6 TJ 2015-12-28 18:35:07 EST
Setting kernel parameter i915.preliminary_hw_support=1 works around this issue. This is resolved upstream in Linux 4.3 DRM here: http://cgit.freedesktop.org/~airlied/linux/commit/?h=drm-next&id=4b0c8bb016e7f36e2d6ec230f9177f88def690d5
Comment 7 Laura Abbott 2016-09-23 15:44:16 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 8 Laura Abbott 2016-10-26 12:54:28 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.